  K_NN *MatProp(Normal_stiffness-K_NN,Real)
  K_TT *MatProp(Tangential_stiffness-K_TT,Real)
  COHESION *MatProp(Cohesion,Real)
  FRICTION *MatProp(Friction_coef,Real)
  FT *MatProp(Tension_Strength-FT,Real)
  K_NN_MIN *MatProp(Min_Norm_stiff-K_NN_MIN,Real)
  K_TT_MIN *MatProp(Min_Tang_stiff-K_TT_MIN,Real)
*If(MatProp(User_Defined_Softening_Hardening,int)==1)
  TENSION_SOFT_HARD_FUNCTION *Operation(matvar*IncrAdvancedFunID+1)
  COHESION_SOFT_HARD_FUNCTION *Operation(matvar*IncrAdvancedFunID+2)
*EndIf
*If(MatProp(Elipse_in_tension,int)==1)
  TENSION_ELIPS 1
*Else
  TENSION_ELIPS -1
*EndIf
*If(strcmp(MatProp(Moving_interface),"Bottom")==0)
  RESET_DISPLS 1
*ElseIf(strcmp(MatProp(Moving_interface),"Top")==0)
  RESET_DISPLS -1
*EndIf
*If(GenData(Axi_symmetric_task,Int)==1 && MatProp(Element_Thickness,int)!=1)
*WarningBox Warning: In Interface material you have Element_Thickness !=1. In axisymetric task, please set 1.0m. 
*EndIf